Last Comment Bug 1000000 - (megabug) Celebrate 1000000 bugs, bring your own drinks
(megabug)
: Celebrate 1000000 bugs, bring your own drinks
Status: VERIFIED WORKSFORME
[bug moved to bug 1000025 to let peop...
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: All All
P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 1000011 (view as bug list)
Depends on:
Blocks: 9940 1000091 1000411
  Show dependency treegraph
 
Reported: 2014-04-23 01:10 PDT by Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
Modified: 2015-11-25 15:01 PST (History)
108 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot of issue (26.59 KB, image/png)
2014-04-23 01:18 PDT, Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
no flags Details
screenshot of celebration (793.49 KB, image/gif)
2014-04-23 01:41 PDT, Byron Jones ‹:glob›
janx: review+
fbraun: feedback+
Details
1000000.jpg (261.38 KB, image/jpeg)
2014-04-23 05:51 PDT, Ioana Chiorean
no flags Details
onemillion.jpg (96.20 KB, image/jpeg)
2014-04-23 07:44 PDT, JP Schneider :jp
no flags Details
party-time.gif (3.48 MB, image/gif)
2014-04-23 09:35 PDT, Jared Wein [:jaws] (please needinfo? me)
thewanuki: review+
Details
WIP - fix All Teh Bugs, v1 (555 bytes, patch)
2014-04-23 10:31 PDT, Mike Habicher [:mikeh] (high bugzilla latency)
kairo: review+
Details | Diff | Splinter Review
Buggie-1Million.png (113.08 KB, image/png)
2014-04-23 11:38 PDT, Ken Saunders
no flags Details
WIP - fix All Teh Bugs, v2 (568 bytes, patch)
2014-04-24 08:13 PDT, Mike Habicher [:mikeh] (high bugzilla latency)
no flags Details | Diff | Splinter Review

Description User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2014-04-23 01:10:16 PDT
Firefox OS 2.0.0.0-prerelease 20140422025146 on Geeksphone Keon

Steps to reproduce:
0. Set language to German ("Deutsch").
1. Have word suggestions enabled.
2. Find a textarea for writing, e.g. https://pastebin.mozilla.org/
3. Type "Dampfs"

Actual result:
Keyboard content moved to the right and partially hidden
Comment 1 User image (inactive after 6/18) Alive Kuo [:alive] 2014-04-23 01:10:54 PDT
OOOOOOOOOOOOOO
Comment 2 User image Greg Weng [:snowmantw][:gweng][:λ] 2014-04-23 01:11:14 PDT
Keyboard bug take the Bug 1000000 !!
Comment 3 User image Eric Chou [:ericchou] [:echou] 2014-04-23 01:11:37 PDT
We need to file another bug to get a beer from :aryx
Comment 4 User image Randy Lin [:rlin] - Be Mozillian on 2015/01/26 2014-04-23 01:11:46 PDT
OOOOOOOOOOOOOO
Comment 5 User image Alexandre LISSY :gerard-majax 2014-04-23 01:12:40 PDT
I have been reproducing this since a couple of days, on several devices (Nexus S, Desire Z for instance).
Comment 6 User image Alexandre LISSY :gerard-majax 2014-04-23 01:13:08 PDT
In my case, language was French.
Comment 7 User image Omega Feng [:Omega] [:馮於懋] 2014-04-23 01:13:15 PDT
http://nooooooooooooooo.com/
Comment 8 User image Antoine Turmel [:GeekShadow] 2014-04-23 01:14:30 PDT
Happy 1 000 000 bug !
https://www.youtube.com/watch?v=J---aiyznGQ
Comment 9 User image Yuren [:yurenju] (AFK ~ Oct. 12) (volunteer mode) 2014-04-23 01:14:56 PDT
NOOOOOOOOOO!!!!!
Comment 10 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2014-04-23 01:18:55 PDT
Created attachment 8410840 [details]
screenshot of issue
Comment 11 User image Byron Jones ‹:glob› 2014-04-23 01:19:05 PDT
(In reply to Eric Chou [:ericchou] [:echou] from comment #3)
> We need to file another bug to get a beer from :aryx

filed bug 1000011
Comment 12 User image Evelyn Hung [:evelyn] 2014-04-23 01:20:20 PDT
Guess who will close this bug as soon as possible? Rudy, will you?
Comment 13 User image Colin Su 2014-04-23 01:20:37 PDT
happy 1000000 bug!
Comment 14 User image dynamis (Tomoya ASAI) 2014-04-23 01:22:17 PDT
Invalid! Invalid!
Comment 15 User image Tim Guan-tin Chien [:timdream] (please needinfo) 2014-04-23 01:27:11 PDT
Who want to fix this bug :)?
Comment 16 User image Jan Jongboom [:janjongboom] (inactive) 2014-04-23 01:28:30 PDT
render.js:getScale apparently has a bug. We don't want to set overflow on these fields as they would cause more reflows I believe.
Comment 17 User image Jan Jongboom [:janjongboom] (inactive) 2014-04-23 01:30:52 PDT
https://github.com/mozilla-b2g/gaia/blob/master/apps/keyboard/js/render.js#L934 might also not be correct. Should be (6 * (screenInPortraitMode() ? cachedWindowWidth / 32 : cachedWindowWidth / 64)). Could cause the issue.
Comment 18 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2014-04-23 01:37:29 PDT
There have been recommendations to refile this bug to let people celebrate 1 million bugs here, so I filed the issue again as bug 1000025.
Comment 19 User image Byron Jones ‹:glob› 2014-04-23 01:39:13 PDT
*** Bug 1000011 has been marked as a duplicate of this bug. ***
Comment 20 User image Byron Jones ‹:glob› 2014-04-23 01:41:05 PDT
Created attachment 8410855 [details]
screenshot of celebration
Comment 21 User image Anthony Ricaud (:rik) 2014-04-23 01:41:40 PDT
https://www.youtube.com/watch?v=NwDWdWa_wiI
Comment 22 User image Mauricio Navarro Miranda 2014-04-23 01:47:58 PDT
Need lots of myselfinformation about these.
Comment 23 User image Mauricio Navarro Miranda 2014-04-23 01:48:15 PDT
I meant: about cheese.

(In reply to Mauricio Navarro Miranda from comment #22)
> Need lots of myselfinformation about these.
Comment 24 User image Georg Fritzsche [:gfritzsche] 2014-04-23 01:53:17 PDT
(In reply to Mauricio Navarro Miranda from comment #23)
> I meant: about cheese.

about:cheese?
Do it!
Comment 25 User image rctgamer3 2014-04-23 01:54:46 PDT
Here, have some virtual cake :-)
Comment 26 User image Yuren [:yurenju] (AFK ~ Oct. 12) (volunteer mode) 2014-04-23 01:57:06 PDT
countdown video!

http://youtu.be/q4xz3DHKBn8

feel free to send pull requests to me for 2,000,000!!
https://github.com/yurenju/bug-counter
Comment 27 User image Yuren [:yurenju] (AFK ~ Oct. 12) (volunteer mode) 2014-04-23 01:59:46 PDT
and that guy on left corner was writing a commit for showing a cat if reach 1,000,000, but it happended too fast so he didn't send the pull request LOL
Comment 28 User image Juan Perez-Bedmar [:juanpbf] 2014-04-23 02:16:03 PDT
Happy bug 1000000 to everyone!
Comment 29 User image (inactive after 6/18) Alive Kuo [:alive] 2014-04-23 02:17:47 PDT
(In reply to Yuren [:yurenju][:小朱] (PTO during 4/28~5/2) from comment #27)
> and that guy on left corner was writing a commit for showing a cat if reach
> 1,000,000, but it happended too fast so he didn't send the pull request LOL

\O/ I am here!!!!!
http://i.imgur.com/H7wZpUS.jpg This is my cat named for "bug".
Comment 30 User image Ryan Watson [:w0ts0n] 2014-04-23 02:20:54 PDT
woot
Comment 31 User image Viking KARWUR 2014-04-23 02:27:37 PDT
Congrats! #IAmAMozillian
Comment 32 User image Larry Xiao 2014-04-23 02:39:17 PDT
wow, awesome!
Comment 33 User image Fred Lin [:gasolin] 2014-04-23 02:44:07 PDT
Shiny 7-digits era!
Comment 34 User image Peter Chang[:pchang] 2014-04-23 02:45:50 PDT
Mom, I'm here.  \0/
Comment 35 User image Xavier Fung 2014-04-23 02:47:15 PDT
A party was suggested back in 1999 - see Bug 9940.
Comment 36 User image Manish Goregaokar [:manishearth] 2014-04-23 03:06:03 PDT
So, a million bugs in Mozilla software is something to celebrate? :P

Seriously though, congratulations everyone :)
Comment 37 User image C.J. Ku[:cjku](UTC+8) 2014-04-23 03:12:06 PDT
Comment 38 User image Ben Bucksch (:BenB) 2014-04-23 03:29:04 PDT
Whhhhoooooooooohooo :))

Congrats to bugzilla people
Comment 39 User image Galaxy Kadiyala [:Galaxy] 2014-04-23 05:10:45 PDT
Yay! :D :D
Comment 40 User image Joshua Smith [:joshua-s] 2014-04-23 05:11:43 PDT
Happy bug day all!  What I would like to know is how many bugs we have fixed/resolved.
Comment 41 User image (inactive after 6/18) Alive Kuo [:alive] 2014-04-23 05:19:02 PDT
(In reply to Joshua Smith [:joshua-s] from comment #40)
> Happy bug day all!  What I would like to know is how many bugs we have
> fixed/resolved.
About 400000.
Comment 42 User image Jan Keromnes [:janx] 2014-04-23 05:34:42 PDT
Comment on attachment 8410855 [details]
screenshot of celebration

Looks good to me!
Comment 43 User image Frederik Braun [:freddyb] 2014-04-23 05:47:42 PDT
Comment on attachment 8410855 [details]
screenshot of celebration

I like.
Comment 44 User image Ioana Chiorean 2014-04-23 05:51:35 PDT
Created attachment 8410980 [details]
1000000.jpg
Comment 45 User image Raul Malea 2014-04-23 05:56:29 PDT
Congratulations! :)
Comment 46 User image Joe Cheng [:jcheng] (please needinfo) 2014-04-23 06:22:57 PDT
can you share your STR on getting the million bug lol
Comment 47 User image Ryan VanderMeulen [:RyanVM] 2014-04-23 06:24:16 PDT
(In reply to Manish Goregaokar [:manishearth] from comment #36)
> So, a million bugs in Mozilla software is something to celebrate? :P

Just means we're alive and kicking :)
Comment 48 User image JP Schneider :jp 2014-04-23 07:44:48 PDT
Created attachment 8411035 [details]
onemillion.jpg
Comment 50 User image Karsten Düsterloh 2014-04-23 08:13:52 PDT
R.E.M. waited for this since 1982:
<http://www.youtube.com/watch?v=T4OGVvFXBAU>

:-)
Comment 51 User image Dave Miller [:justdave] (justdave@bugzilla.org) 2014-04-23 08:29:52 PDT
I wonder if I should be pedantic and point out that because of holes in the bug numbers (mostly from early testing when Bugzilla was first being developed) that the one millionth bug is actually bug 1000304 ? :) (which has yet to be filed as I type this)
Comment 52 User image alex_mayorga 2014-04-23 08:47:57 PDT
A million bugs? Now I can see why people keep telling me Firefox is buggy =D

needinfo Johnathan to coordinate where the drinks shall go to ;-)
Comment 53 User image Swarnava Sengupta (:Swarnava) 2014-04-23 08:56:48 PDT
Yaay! :D
Comment 54 User image Liz Henry (:lizzard) (needinfo? me) 2014-04-23 08:57:58 PDT
Huzzah!!
Comment 55 User image Denis Roy 2014-04-23 09:01:30 PDT
Congratulations, Bugzilla!
Comment 56 User image Kumar McMillan [:kumar] (needinfo all the things) 2014-04-23 09:07:15 PDT
NOOOOOOO NOT AGAIN! WHEN CAN WE MFBT 1 MILLION!1!1111!

https://bugzilla.mozilla.org/show_bug.cgi?id=900000 <- thwarted!
https://bugzilla.mozilla.org/show_bug.cgi?id=800000
https://bugzilla.mozilla.org/show_bug.cgi?id=700000
Comment 57 User image Benoit Jacob [:bjacob] (mostly away) 2014-04-23 09:27:32 PDT
This is only the Mebibug.

The real Megabug will be bug 1048576  (0x100000).

http://en.wikipedia.org/wiki/Mebibyte
Comment 58 User image Benoit Jacob [:bjacob] (mostly away) 2014-04-23 09:28:06 PDT
Though, come to think of it, I've got that mixed up :-P
Comment 59 User image Jared Wein [:jaws] (please needinfo? me) 2014-04-23 09:35:18 PDT
Created attachment 8411128 [details]
party-time.gif
Comment 60 User image Joshua Smith [:joshua-s] 2014-04-23 09:52:50 PDT
Comment on attachment 8411128 [details]
party-time.gif

Ready to merge!
Comment 61 User image Fred Wenzel [:wenzel] 2014-04-23 09:58:45 PDT
(In reply to Benoit Jacob [:bjacob] from comment #57)
> This is only the Mebibug.
> 
> The real Megabug will be bug 1048576  (0x100000).
> 
> http://en.wikipedia.org/wiki/Mebibyte

Nope, the opposite
Comment 62 User image Johnathan Nightingale [:johnath] 2014-04-23 10:02:38 PDT
(In reply to alex_mayorga from comment #52)
> A million bugs? Now I can see why people keep telling me Firefox is buggy =D
> 
> needinfo Johnathan to coordinate where the drinks shall go to ;-)

The summary says "byod" so I'm clearing needinfo, but someone have one for me!
Comment 63 User image Mike Hoye [:mhoye] 2014-04-23 10:25:27 PDT
Clear steps to reproduce and a low barrier to participation, so flagging [good first bug].
Comment 64 User image Tanvi Vyas - not reading bugmail, PM me [:tanvi] 2014-04-23 10:27:13 PDT
Gerv, who won the competition?  Who came closest to the actual date of filing?
Comment 65 User image Ashickur Rahman 2014-04-23 10:31:17 PDT
Party time B|
Comment 66 User image Mike Habicher [:mikeh] (high bugzilla latency) 2014-04-23 10:31:36 PDT
Created attachment 8411169 [details] [diff] [review]
WIP - fix All Teh Bugs, v1

This somehow got dropped from an earlier patch.
Comment 67 User image Kami 2014-04-23 10:55:30 PDT
#arewefixed1000000bugs ;)
Comment 68 User image Ken Saunders 2014-04-23 11:38:51 PDT
Created attachment 8411220 [details]
Buggie-1Million.png
Comment 69 User image :Ehsan Akhgari 2014-04-23 11:39:13 PDT
Comment on attachment 8411169 [details] [diff] [review]
WIP - fix All Teh Bugs, v1

Review of attachment 8411169 [details] [diff] [review]:
-----------------------------------------------------------------

::: modules/libpref/src/init/all.js
@@ +4448,5 @@
>  pref("camera.control.autofocus_moving_callback.enabled", false);
>  pref("camera.control.face_detection.enabled", false);
> +
> +// Bug 1000000
> +pref("all.the.bugs.are.fixed", true);

Nit: I believe you misspelled bugz here.
Comment 70 User image Krishna Kumar Deep [:KKDeep] 2014-04-23 11:42:28 PDT
This is awesome! :D
Comment 71 User image Robert Kaiser 2014-04-23 11:43:26 PDT
Comment on attachment 8411169 [details] [diff] [review]
WIP - fix All Teh Bugs, v1

Ship It! All Bug Are Belong To Us!
Comment 72 User image Robert Kaiser 2014-04-23 11:44:55 PDT
(In reply to Mike Hoye [:mhoye] from comment #63)
> Clear steps to reproduce and a low barrier to participation, so flagging
> [good first bug].

But it's not the first bug, it's the one millionth boog!
Comment 73 User image Ram Dayal Vaishnav [:ramd] 2014-04-23 11:45:51 PDT
Awesome :) :) :) Party time ;)
Comment 74 User image Michael Henretty [:mhenretty] 2014-04-23 11:53:00 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #72)
> But it's not the first bug, it's the one millionth boog!

Fixed.
Comment 75 User image Mike Hoye [:mhoye] 2014-04-23 11:54:13 PDT
Correcting whiteboard.
Comment 76 User image Ram Dayal Vaishnav [:ramd] 2014-04-23 12:05:24 PDT
This reminded me of http://blog.gerv.net/2013/08/bugzilla-1000000-bug-sweepstake/
Comment 77 User image Mathias Bynens 2014-04-23 13:26:31 PDT
> 1000000 GET
> Comment 77 GET
Comment 78 User image Joe Stevensen [:joe] 2014-04-23 14:47:54 PDT
w00t
Comment 79 User image Michal Purzynski [:michal`] (use NEEDINFO) 2014-04-23 14:50:07 PDT
There aren't 1 000 000 bugs in Bugzilla, they are all features!
Comment 80 User image Robert Ward 2014-04-23 19:30:24 PDT
Comment on attachment 8411169 [details] [diff] [review]
WIP - fix All Teh Bugs, v1

Review of attachment 8411169 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM, but bugs should be boogs imo, don't want users getting confused :)
Comment 81 User image Zéfling 2014-04-23 23:22:02 PDT
Yééé ! 1 000 000 !!!

A new world beginning!
Comment 82 User image Rika Pi 2014-04-23 23:51:28 PDT
Next step,

1 000 000 000

Congratulation's to all in Bugzilla (^_^)
Comment 83 User image Vicamo Yang [:vicamo][:vyang] 2014-04-24 00:21:58 PDT
It's a good chance for digging out some history of Mozilla Bugzilla.  It seems the oldest valid bug is bug 507, which was marked INVALID.  I wonder what's the oldest OPEN bug right now?
Comment 84 User image Vicamo Yang [:vicamo][:vyang] 2014-04-24 00:26:38 PDT
(In reply to Vicamo Yang [:vicamo][:vyang] from comment #83)
> It's a good chance for digging out some history of Mozilla Bugzilla.  It
> seems the oldest valid bug is bug 507, which was marked INVALID.  I wonder
> what's the oldest OPEN bug right now?

Bug 540, and we have 57 bugs with bug id < 10000 remain OPEN.
Comment 85 User image kumar rishav (:rishav_) 2014-04-24 01:17:14 PDT
yay!! Congrats to all in Bugzilla :)
Comment 86 User image Ken Chang[:kenkai] 2014-04-24 01:48:34 PDT
Should we uplift the patch for this bug, https://bugzilla.mozilla.org/attachment.cgi?id=8411169, to fix all bug?
Comment 87 User image rsx11m 2014-04-24 07:42:59 PDT
(In reply to Vicamo Yang [:vicamo][:vyang] from comment #83)
> It's a good chance for digging out some history of Mozilla Bugzilla.  It
> seems the oldest valid bug is bug 507, which was marked INVALID.

xref Bug 35 - (firstBug) Navigator does not free preference hash table when exit.
Comment 88 User image rsx11m 2014-04-24 07:44:20 PDT
(In reply to Ken Chang[:ken] from comment #86)
> Should we uplift the patch for this bug,
> https://bugzilla.mozilla.org/attachment.cgi?id=8411169, to fix all bug?

This needs to land on trunk first.
Comment 89 User image Mike Habicher [:mikeh] (high bugzilla latency) 2014-04-24 08:13:55 PDT
Created attachment 8411866 [details] [diff] [review]
WIP - fix All Teh Bugs, v2

Incorporating conflicting review feedback.
Comment 90 User image Jason Duell [:jduell] (needinfo me) 2014-04-24 12:27:32 PDT
Everyone knows MegaBugs are traditionally measured in powers of 2, so our target is 1,048,576.  48K more to go, people.

In the absence of Brendan, I'm asserting I have more authority to decide this issue than bsmedberg.
Comment 91 User image Ben Bucksch (:BenB) 2014-04-24 12:32:36 PDT
Party: INVALID
Comment 92 User image Frank Wein [:mcsmurf] 2014-04-24 12:44:29 PDT
Bug 1000000, yay! INVALID? Bah!
Comment 93 User image rsx11m 2014-04-24 13:03:46 PDT
More like: "Party? WORKSFORME!"
Comment 94 User image KUMARESAN_C_S [:CSK] 2014-05-01 03:17:02 PDT
Congratulations, Bugzilla!
Comment 95 User image Mart Rootamm 2014-05-02 06:30:44 PDT
Ooh, Conga Rats :), just discovered :>
Comment 96 User image cousteau 2014-05-12 05:52:53 PDT
I supposed this bug report would exist, but I'm still quite impressed that you managed to time it correctly to get the right bug ID.  Now let's see if we reach 100 comments (we're close).

Doesn't work on 6-digit display; may have compatibility issues with i18n if the language doesn't have a word for "million".  Crashes on Firefox versions for architectures with less than 20 bits.

Wake me up when we reach a round bug number, such as 1048576.
Comment 97 User image cousteau 2014-05-12 05:55:51 PDT
Disregard; just realized you cheated by renaming the bug.  Cheaters.
Comment 98 User image Ben Bucksch (:BenB) 2014-05-12 06:08:56 PDT
It's not cheating, it's engineering ;-P
Comment 99 User image Eduardo Urcullu 2014-05-28 18:57:45 PDT
Beer for this bug :)
Comment 100 User image cousteau 2014-06-07 13:39:53 PDT
1000000 bugs and 100 comments!  Congratulations to the Mozilla team for their effort, and to all who help them making this community work.
Comment 101 User image sotiris panagopoulos 2015-11-20 18:11:02 PST
Nice!!

Note You need to log in before you can comment on or make changes to this bug.